local mod = RW:Boss("Nefarian", "Blackwing Descent")
local L

mod.BossIcon = [[Interface\ICONS\achievement_dungeon_blackwingdescent_raid_nefarian]]

---------------------------
-- Variables

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L["Phase 2 Emote"] = "Curse you, mortals! Such a callous disregard for one's possessions must be met with extreme force!"
		
		L["Phase Change"] = "Phase Change"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(41376)
	self:SetWin()
	
	self:RegisterAlert("mPhase", self:PhaseMessage())
	
	self:RegisterAlert("tPhaseChange", self:CustomTimer(180, L["Phase Change"], L["Phase Change"], [[Interface\Icons\Achievement_BG_killingblow_30]]))
end

---------------------------
-- Locals
local CromaticID = 41948
local CromaticAlive = 3

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:YellTrack("Phase2", L["Phase 2 Emote"])
	
	CromaticAlive = 3
end

function mod:UNIT_DIED(cID, gUID)
	if cID == CromaticID then
		CromaticAlive = CromaticAlive - 1
		if CromaticAlive == 0 then
			self:Call("mPhase", "Show", 3)
		end
	end
end

function mod:Phase2(event, msg, name)
	self:Call("mPhase", "Show", 2)
	self:Call("tPhaseChange", "Start")
end

